import {BaseChatInputCommandData, CommandWithSubcommandsData} from "../types"
import {ApplicationCommandType} from "discord.js"
import {commandBotRestart} from "./restart"
import {commandBotShutdown} from "./shutdown"
import {commandBotRebuild} from "./rebuild"

class BotCommandData extends CommandWithSubcommandsData {
    readonly baseDefinition: BaseChatInputCommandData = {
        name: "bot",
        type: ApplicationCommandType.ChatInput,
        description: "Commands to manage the bot's status.",
    }

    readonly subcommands = [
        commandBotRebuild,
        commandBotRestart,
        commandBotShutdown,
    ]
}

export const commandBot = new BotCommandData()